Subject: Re: [TI994A] FWEB Source

From: [email-masked]
Date: Sat, 05 Dec 2009 05:07:05 -0600 (CST)

Nice work, Tim. :)

Dec 5, 2009 12:29:45 AM, [email-masked] wrote:

For those interested, I have been in touch with Tony McGovern of FunnelWeb fame.  Tony happened to come across the CF7/FWEB discussion thread of a few months ago (thanks in part to Bob Carmany), and provided me some valuable information related to why FWEB allocates VDP RAM.  As you may recall, the CF7 device and FWEB had some differences of opinion to reconcile ;)
 
Anyway, to make a long story short, Tony seny me, to paraphrase, "the last remaining disks of Funnelweb source that might exist."  Of the 15 disks I have been able to copy six successfully.  The remaining disks have degraded to one degree or another; some started degrading as I copied them!  Tony Knerr and Ernie have offered some tips (thanks guys) and with some nitty-gritty recreation of FDRs, among other things, I've managed to copy what appears to be the "FW" loader, Quick Directory, and DiskReview40/80 and other util source code.  A few of Will McGovern's program sources, including what appears to be a disk manager for the Myarc Controller that reads both TI and IBM disks, were also on the disks. 
 
Tony McGovern graciously gave his permission to release whatever files I recovered.  As time permits, I will transfer the files to my PC, then ask someone with WHT access to upload them.  I am still trying to recover bits of data (pun not intended) and files though returns are diminishing.  Given the Editor code on WHT, we could be very close to having a complete set of source for this fantastic product. 
 
Finally, I have two disks that I cannot read.  One 5.25" disk appears to be formatted to 80 track (I discovered the HFDC will read the first track with my 5.25" drive, so I may do some more experimentation). The other disk is completely unreadable. I am going to try PC-Transfer just in case it is a PC disk.  If not, perhaps someone could check out the disk for me ;)
 
That's all for now.  :)
 
Tim